Rhinoscript panel rhino form
@ricardo.eira wrote: Hello, I have been playing some time in pyhton script, so far with the help of the forum I have done very good things. But now I have a doubt that I did not find a way to do it in...
View ArticleGHP - Brep.CreateBlendSurface - How to get or define face0 As BrepFace and...
@luisseyfer wrote: I want to create a Blend Surface in GHPython between two single Surfaces. It seems to me I have to do that with Brep.CreateBlendSurface. It asks for BrepFace and BrepEdge for both...
View ArticleSort 2 lists get index values out
@mikhail wrote: I am trying to make a function “sortListByClass” and just been stuck, like crazy. I’ve been writing and rewriting it forawrds and backwards with no luck. def...
View ArticleAccessing modules in a compiled python command using a relative path
@S_L wrote: I have a compiled python plugin with 5 commands and I want these commands to use a common python library I’ve built. I know that the current version of the Rhino Script Compiler doesn’t...
View ArticleHow to change start point of closed curve
@xiix.xoox wrote: I want to change start point of curve by rhino python but not. Please help me solution I try make code import rhinoscriptsyntax as rs #Get Curve cur=rs.GetObject("Select Cur:",4)...
View ArticleScripting challange
@maatsandalen wrote: Hello, We are getting stuck on a scripting challange for Rh5. We want to pull a mesh outline to a curve somewhat like is shown in the video added to this post at 1.42 min. This is...
View ArticleHow to delete a class instance created in Python
@castroecosta wrote: Hi everybody, I’m exploring with a menu following a camera in Rhino. I implemented a class, so I can create an instance of that class and the objects keep following the camera...
View ArticleToggle commenting at indentation level in the python editor
@S_L wrote: Is there a way to make the line-commenting toggled with Ctrl + / in the python editor comment on the indentation level rather than the start of the line? What it’s doing now: What I’d like...
View ArticleJavaScript runCommand() glob
@acceleratoryf wrote: Hello, for the function runCommand(), I could do something like runCommand(“ls”, “a.txt”); however, it doesn’t seem like working with runCommand(“ls”, “*.*”). Do anyone know how...
View ArticleConnect one point to all other points with lines
@odbc wrote: I have 400 points in my 3d coordinate system, I am trying to connect all of these points to one defined point. This is the code I have so far, I’m wondering if theres a way to use the...
View ArticleVariable sized spheres over points depending on how close it is to other points
@odbc wrote: I have 400 or so points in my 3d coordinate plane and I am trying to analyze their density. I was wondering if there is a way to look at each point and its relationship to others, then,...
View ArticleTHIS IS AN ACCIDENTAL REPOST: Connect one point to all other points with lines
@odbc wrote: I have 400 points in my 3d coordinate system, I am trying to connect all of these points to one defined point. This is the code I have so far, I’m wondering if theres a way to use the...
View ArticlePurge empty groups?
@mikhail wrote: Is there any way to quickly purge all empty groups using python? I see PurgeLayer(layer) but not seeing something like that for groups? If there is, does it run on the whole scene and...
View ArticleHotkeys for rhino python grasshopper script editor?
@flokart wrote: Hi all, are there any script editor shortcut documentation for example jump between brackets etc. Thanks for any tips Posts: 2 Participants: 2 Read full topic
View ArticleModel space scaling text
@mikhail wrote: I am making a text object and everything works well, but I cannot find a way to set modelspace scaling. rs.AddText(text, textDotLoc, height=0.063, font="Arial", font_style=0,...
View ArticleZoom to GUID
@mikhail wrote: Is there a way to zoom to GUID, without the object being selected using python? I know that there is ZoomSelected, but I am running a loop over some GUIDs and it would be nice to punch...
View ArticleGUID ID Clone
@ricardo.eira wrote: Hello, Is possible Clone a obj guid? I need Ex: Create a new obj, and get the guid id of another to this new one. I know there can not be two pieces with the same id in the same...
View ArticleRhinoscript to rhino common - bounding box and select
@revink wrote: Hi, I have for long written codes in python for rhino using rhinoscriptsyntax but since I have now to deal with a large number of geometries to be processed I thought that it could...
View ArticleHow to move an object only in x axis
@architecthanhao wrote: I’m trying to move some boxes in their z-axis, but not in x and y axes. Below is my code. However, the last line coed moves my boxes in same x, y axes. How can I keep x, y axes...
View ArticleLines from point to projected point
@odbc wrote: Hi, I’m trying to create code that would look at all the points in my 3d plane, identify their projected points (on the 2d x-y plane) and create a vertical line from the point to the...
View Article